=== debian/watch ===
version=3
https://www.iotivity.org/downloads iotivity-(.*)\.tar\.gz
